Add Russian translation provided by Валерий Крувялис <valkru@mail.ru>
[xiph-mirror.git] / theora-fpga / testbenchs / libtheora_tb / config.status
blob8ac6c9cce8f549cd2a7e8b0a8f2c7f53f3c26752
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
25 DUALCASE=1; export DUALCASE # for MKS sh
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
52 done
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
99 rm -f conf$$.sh
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
132 case $CONFIG_SHELL in
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
158 esac
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
221 rm -f conf$$ conf$$.exe conf$$.file
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
230 as_executable_p="test -f"
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
243 IFS=" $as_nl"
245 # CDPATH.
246 $as_unset CDPATH
248 exec 6>&1
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
262 This file was extended by libtheora $as_me 1.0alpha6, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile lib/Makefile include/Makefile include/theora/Makefile examples/Makefile doc/Makefile doc/Doxyfile tests/Makefile lib/Version_script m4/Makefile libtheora.spec theora.pc theora-uninstalled.pc"
275 config_headers=" config.h"
276 config_commands=" depfiles"
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
282 Usage: $0 [OPTIONS] [FILE]...
284 -h, --help print this help, then exit
285 -V, --version print version number, then exit
286 -q, --quiet do not print progress messages
287 -d, --debug don't remove temporary files
288 --recheck update $as_me by reconfiguring in the same conditions
289 --file=FILE[:TEMPLATE]
290 instantiate the configuration file FILE
291 --header=FILE[:TEMPLATE]
292 instantiate the configuration header FILE
294 Configuration files:
295 $config_files
297 Configuration headers:
298 $config_headers
300 Configuration commands:
301 $config_commands
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 libtheora config.status 1.0alpha6
306 configured by ./configure, generated by GNU Autoconf 2.59,
307 with options \"\"
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value. By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
319 case $1 in
320 --*=*)
321 ac_option=`expr "x$1" : 'x\([^=]*\)='`
322 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323 ac_shift=:
326 ac_option=$1
327 ac_optarg=$2
328 ac_shift=shift
330 *) # This is not an option, so the user has probably given explicit
331 # arguments.
332 ac_option=$1
333 ac_need_defaults=false;;
334 esac
336 case $ac_option in
337 # Handling of the options.
338 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339 ac_cs_recheck=: ;;
340 --version | --vers* | -V )
341 echo "$ac_cs_version"; exit 0 ;;
342 --he | --h)
343 # Conflict between --help and --header
344 { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348 { (exit 1); exit 1; }; };;
349 --help | --hel | -h )
350 echo "$ac_cs_usage"; exit 0 ;;
351 --debug | --d* | -d )
352 debug=: ;;
353 --file | --fil | --fi | --f )
354 $ac_shift
355 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356 ac_need_defaults=false;;
357 --header | --heade | --head | --hea )
358 $ac_shift
359 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360 ac_need_defaults=false;;
361 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362 | -silent | --silent | --silen | --sile | --sil | --si | --s)
363 ac_cs_silent=: ;;
365 # This is an error.
366 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370 { (exit 1); exit 1; }; } ;;
372 *) ac_config_targets="$ac_config_targets $1" ;;
374 esac
375 shift
376 done
378 ac_configure_extra_args=
380 if $ac_cs_silent; then
381 exec 6>/dev/null
382 ac_configure_extra_args="$ac_configure_extra_args --silent"
385 if $ac_cs_recheck; then
386 echo "running /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
387 exec /bin/sh ./configure $ac_configure_extra_args --no-create --no-recursion
391 # INIT-COMMANDS section.
394 AMDEP_TRUE="" ac_aux_dir="."
396 for ac_config_target in $ac_config_targets
398 case "$ac_config_target" in
399 # Handling of arguments.
400 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401 "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
402 "include/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
403 "include/theora/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/theora/Makefile" ;;
404 "examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
405 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
406 "doc/Doxyfile" ) CONFIG_FILES="$CONFIG_FILES doc/Doxyfile" ;;
407 "tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
408 "lib/Version_script" ) CONFIG_FILES="$CONFIG_FILES lib/Version_script" ;;
409 "m4/Makefile" ) CONFIG_FILES="$CONFIG_FILES m4/Makefile" ;;
410 "libtheora.spec" ) CONFIG_FILES="$CONFIG_FILES libtheora.spec" ;;
411 "theora.pc" ) CONFIG_FILES="$CONFIG_FILES theora.pc" ;;
412 "theora-uninstalled.pc" ) CONFIG_FILES="$CONFIG_FILES theora-uninstalled.pc" ;;
413 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
414 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
415 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
416 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
417 { (exit 1); exit 1; }; };;
418 esac
419 done
421 # If the user did not use the arguments to specify the items to instantiate,
422 # then the envvar interface is used. Set only those that are not.
423 # We use the long form for the default assignment because of an extremely
424 # bizarre bug on SunOS 4.1.3.
425 if $ac_need_defaults; then
426 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
427 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
428 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
431 # Have a temporary directory for convenience. Make it in the build tree
432 # simply because there is no reason to put it here, and in addition,
433 # creating and moving files from /tmp can sometimes cause problems.
434 # Create a temporary directory, and hook for its removal unless debugging.
435 $debug ||
437 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
438 trap '{ (exit 1); exit 1; }' 1 2 13 15
441 # Create a (secure) tmp directory for tmp files.
444 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
445 test -n "$tmp" && test -d "$tmp"
446 } ||
448 tmp=./confstat$$-$RANDOM
449 (umask 077 && mkdir $tmp)
450 } ||
452 echo "$me: cannot create a temporary directory in ." >&2
453 { (exit 1); exit 1; }
458 # CONFIG_FILES section.
461 # No need to generate the scripts if there are no CONFIG_FILES.
462 # This happens for instance when ./config.status config.h
463 if test -n "$CONFIG_FILES"; then
464 # Protect against being on the right side of a sed subst in config.status.
465 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
466 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
467 s,@SHELL@,/bin/sh,;t t
468 s,@PATH_SEPARATOR@,:,;t t
469 s,@PACKAGE_NAME@,libtheora,;t t
470 s,@PACKAGE_TARNAME@,libtheora,;t t
471 s,@PACKAGE_VERSION@,1.0alpha6,;t t
472 s,@PACKAGE_STRING@,libtheora 1.0alpha6,;t t
473 s,@PACKAGE_BUGREPORT@,,;t t
474 s,@exec_prefix@,${prefix},;t t
475 s,@prefix@,/usr/local,;t t
476 s,@program_transform_name@,s,x,x,,;t t
477 s,@bindir@,${exec_prefix}/bin,;t t
478 s,@sbindir@,${exec_prefix}/sbin,;t t
479 s,@libexecdir@,${exec_prefix}/libexec,;t t
480 s,@datadir@,${prefix}/share,;t t
481 s,@sysconfdir@,${prefix}/etc,;t t
482 s,@sharedstatedir@,${prefix}/com,;t t
483 s,@localstatedir@,${prefix}/var,;t t
484 s,@libdir@,${exec_prefix}/lib,;t t
485 s,@includedir@,${prefix}/include,;t t
486 s,@oldincludedir@,/usr/include,;t t
487 s,@infodir@,${prefix}/info,;t t
488 s,@mandir@,${prefix}/man,;t t
489 s,@build_alias@,,;t t
490 s,@host_alias@,,;t t
491 s,@target_alias@,,;t t
492 s,@DEFS@,-DHAVE_CONFIG_H,;t t
493 s,@ECHO_C@,,;t t
494 s,@ECHO_N@,-n,;t t
495 s,@ECHO_T@,,;t t
496 s,@LIBS@,,;t t
497 s,@build@,i686-pc-linux-gnu,;t t
498 s,@build_cpu@,i686,;t t
499 s,@build_vendor@,pc,;t t
500 s,@build_os@,linux-gnu,;t t
501 s,@host@,i686-pc-linux-gnu,;t t
502 s,@host_cpu@,i686,;t t
503 s,@host_vendor@,pc,;t t
504 s,@host_os@,linux-gnu,;t t
505 s,@target@,i686-pc-linux-gnu,;t t
506 s,@target_cpu@,i686,;t t
507 s,@target_vendor@,pc,;t t
508 s,@target_os@,linux-gnu,;t t
509 s,@INSTALL_PROGRAM@,${INSTALL},;t t
510 s,@INSTALL_SCRIPT@,${INSTALL},;t t
511 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
512 s,@CYGPATH_W@,echo,;t t
513 s,@PACKAGE@,libtheora,;t t
514 s,@VERSION@,1.0alpha6,;t t
515 s,@ACLOCAL@,${SHELL} /home/leonardo/theora/rrf_docs_theora/libtheora-1.0alpha6/missing --run aclocal-1.9,;t t
516 s,@AUTOCONF@,${SHELL} /home/leonardo/theora/rrf_docs_theora/libtheora-1.0alpha6/missing --run autoconf,;t t
517 s,@AUTOMAKE@,${SHELL} /home/leonardo/theora/rrf_docs_theora/libtheora-1.0alpha6/missing --run automake-1.9,;t t
518 s,@AUTOHEADER@,${SHELL} /home/leonardo/theora/rrf_docs_theora/libtheora-1.0alpha6/missing --run autoheader,;t t
519 s,@MAKEINFO@,${SHELL} /home/leonardo/theora/rrf_docs_theora/libtheora-1.0alpha6/missing --run makeinfo,;t t
520 s,@install_sh@,/home/leonardo/theora/rrf_docs_theora/libtheora-1.0alpha6/install-sh,;t t
521 s,@STRIP@,strip,;t t
522 s,@ac_ct_STRIP@,strip,;t t
523 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
524 s,@mkdir_p@,mkdir -p --,;t t
525 s,@AWK@,mawk,;t t
526 s,@SET_MAKE@,,;t t
527 s,@am__leading_dot@,.,;t t
528 s,@AMTAR@,${SHELL} /home/leonardo/theora/rrf_docs_theora/libtheora-1.0alpha6/missing --run tar,;t t
529 s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
530 s,@am__untar@,${AMTAR} xf -,;t t
531 s,@MAINTAINER_MODE_TRUE@,#,;t t
532 s,@MAINTAINER_MODE_FALSE@,,;t t
533 s,@MAINT@,#,;t t
534 s,@V_LIB_CURRENT@,2,;t t
535 s,@V_LIB_REVISION@,0,;t t
536 s,@V_LIB_AGE@,2,;t t
537 s,@CC@,gcc,;t t
538 s,@CFLAGS@,-Wall -O3 -fforce-addr -fomit-frame-pointer -finline-functions -funroll-loops ,;t t
539 s,@LDFLAGS@,,;t t
540 s,@CPPFLAGS@,,;t t
541 s,@ac_ct_CC@,gcc,;t t
542 s,@EXEEXT@,,;t t
543 s,@OBJEXT@,o,;t t
544 s,@DEPDIR@,.deps,;t t
545 s,@am__include@,include,;t t
546 s,@am__quote@,,;t t
547 s,@AMDEP_TRUE@,,;t t
548 s,@AMDEP_FALSE@,#,;t t
549 s,@AMDEPBACKSLASH@,\,;t t
550 s,@CCDEPMODE@,depmode=gcc3,;t t
551 s,@am__fastdepCC_TRUE@,,;t t
552 s,@am__fastdepCC_FALSE@,#,;t t
553 s,@CPP@,gcc -E,;t t
554 s,@EGREP@,grep -E,;t t
555 s,@LN_S@,ln -s,;t t
556 s,@ECHO@,echo,;t t
557 s,@AR@,ar,;t t
558 s,@ac_ct_AR@,ar,;t t
559 s,@RANLIB@,ranlib,;t t
560 s,@ac_ct_RANLIB@,ranlib,;t t
561 s,@CXX@,g++,;t t
562 s,@CXXFLAGS@,,;t t
563 s,@ac_ct_CXX@,g++,;t t
564 s,@CXXDEPMODE@,depmode=none,;t t
565 s,@am__fastdepCXX_TRUE@,#,;t t
566 s,@am__fastdepCXX_FALSE@,,;t t
567 s,@CXXCPP@,/lib/cpp,;t t
568 s,@F77@,,;t t
569 s,@FFLAGS@,,;t t
570 s,@ac_ct_F77@,,;t t
571 s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
572 s,@ACLOCAL_AMFLAGS@,-I m4,;t t
573 s,@HAVE_DOXYGEN@,false,;t t
574 s,@HAVE_DOXYGEN_TRUE@,#,;t t
575 s,@HAVE_DOXYGEN_FALSE@,,;t t
576 s,@HAVE_PYTHON@,true,;t t
577 s,@HAVE_PYTHON_TRUE@,,;t t
578 s,@HAVE_PYTHON_FALSE@,#,;t t
579 s,@HAVE_VALGRIND@,,;t t
580 s,@VALGRIND_ENVIRONMENT@,,;t t
581 s,@CPU_x86_64_TRUE@,#,;t t
582 s,@CPU_x86_64_FALSE@,,;t t
583 s,@CPU_x86_32_TRUE@,,;t t
584 s,@CPU_x86_32_FALSE@,#,;t t
585 s,@SHLIB_VERSION_ARG@,-Wl,--version-script=Version_script,;t t
586 s,@HAVE_PKG_CONFIG@,yes,;t t
587 s,@PKG_CONFIG@,/usr/bin/pkg-config,;t t
588 s,@OGG_CFLAGS@, ,;t t
589 s,@OGG_LIBS@,-logg ,;t t
590 s,@VORBIS_CFLAGS@,,;t t
591 s,@VORBIS_LIBS@,,;t t
592 s,@VORBISENC_LIBS@,,;t t
593 s,@VORBISFILE_LIBS@,,;t t
594 s,@SDL_CONFIG@,no,;t t
595 s,@SDL_CFLAGS@,,;t t
596 s,@SDL_LIBS@,,;t t
597 s,@THEORA_DISABLE_FLOAT_TRUE@,#,;t t
598 s,@THEORA_DISABLE_FLOAT_FALSE@,,;t t
599 s,@THEORA_DISABLE_ENCODE_TRUE@,#,;t t
600 s,@THEORA_DISABLE_ENCODE_FALSE@,,;t t
601 s,@GETOPT_OBJS@,,;t t
602 s,@BUILDABLE_EXAMPLES@,,;t t
603 s,@DEBUG@,-g -Wall -DDEBUG -D__NO_MATH_INLINES,;t t
604 s,@PROFILE@,-Wall -pg -g -O3 -fno-inline-functions -DDEBUG,;t t
605 s,@LIBOBJS@,,;t t
606 s,@LTLIBOBJS@,,;t t
607 CEOF
609 # Split the substitutions into bite-sized pieces for seds with
610 # small command number limits, like on Digital OSF/1 and HP-UX.
611 ac_max_sed_lines=48
612 ac_sed_frag=1 # Number of current file.
613 ac_beg=1 # First line for current file.
614 ac_end=$ac_max_sed_lines # Line after last line for current file.
615 ac_more_lines=:
616 ac_sed_cmds=
617 while $ac_more_lines; do
618 if test $ac_beg -gt 1; then
619 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
620 else
621 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
623 if test ! -s $tmp/subs.frag; then
624 ac_more_lines=false
625 else
626 # The purpose of the label and of the branching condition is to
627 # speed up the sed processing (if there are no `@' at all, there
628 # is no need to browse any of the substitutions).
629 # These are the two extra sed commands mentioned above.
630 (echo ':t
631 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
632 if test -z "$ac_sed_cmds"; then
633 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
634 else
635 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
637 ac_sed_frag=`expr $ac_sed_frag + 1`
638 ac_beg=$ac_end
639 ac_end=`expr $ac_end + $ac_max_sed_lines`
641 done
642 if test -z "$ac_sed_cmds"; then
643 ac_sed_cmds=cat
645 fi # test -n "$CONFIG_FILES"
647 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
648 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
649 case $ac_file in
650 - | *:- | *:-:* ) # input from stdin
651 cat >$tmp/stdin
652 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
653 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
654 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
655 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
656 * ) ac_file_in=$ac_file.in ;;
657 esac
659 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
660 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
661 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
662 X"$ac_file" : 'X\(//\)[^/]' \| \
663 X"$ac_file" : 'X\(//\)$' \| \
664 X"$ac_file" : 'X\(/\)' \| \
665 . : '\(.\)' 2>/dev/null ||
666 echo X"$ac_file" |
667 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
668 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
669 /^X\(\/\/\)$/{ s//\1/; q; }
670 /^X\(\/\).*/{ s//\1/; q; }
671 s/.*/./; q'`
672 { if $as_mkdir_p; then
673 mkdir -p "$ac_dir"
674 else
675 as_dir="$ac_dir"
676 as_dirs=
677 while test ! -d "$as_dir"; do
678 as_dirs="$as_dir $as_dirs"
679 as_dir=`(dirname "$as_dir") 2>/dev/null ||
680 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
681 X"$as_dir" : 'X\(//\)[^/]' \| \
682 X"$as_dir" : 'X\(//\)$' \| \
683 X"$as_dir" : 'X\(/\)' \| \
684 . : '\(.\)' 2>/dev/null ||
685 echo X"$as_dir" |
686 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
687 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
688 /^X\(\/\/\)$/{ s//\1/; q; }
689 /^X\(\/\).*/{ s//\1/; q; }
690 s/.*/./; q'`
691 done
692 test ! -n "$as_dirs" || mkdir $as_dirs
693 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
694 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
695 { (exit 1); exit 1; }; }; }
697 ac_builddir=.
699 if test "$ac_dir" != .; then
700 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
701 # A "../" for each directory in $ac_dir_suffix.
702 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
703 else
704 ac_dir_suffix= ac_top_builddir=
707 case $srcdir in
708 .) # No --srcdir option. We are building in place.
709 ac_srcdir=.
710 if test -z "$ac_top_builddir"; then
711 ac_top_srcdir=.
712 else
713 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
714 fi ;;
715 [\\/]* | ?:[\\/]* ) # Absolute path.
716 ac_srcdir=$srcdir$ac_dir_suffix;
717 ac_top_srcdir=$srcdir ;;
718 *) # Relative path.
719 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
720 ac_top_srcdir=$ac_top_builddir$srcdir ;;
721 esac
723 # Do not use `cd foo && pwd` to compute absolute paths, because
724 # the directories may not exist.
725 case `pwd` in
726 .) ac_abs_builddir="$ac_dir";;
728 case "$ac_dir" in
729 .) ac_abs_builddir=`pwd`;;
730 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
731 *) ac_abs_builddir=`pwd`/"$ac_dir";;
732 esac;;
733 esac
734 case $ac_abs_builddir in
735 .) ac_abs_top_builddir=${ac_top_builddir}.;;
737 case ${ac_top_builddir}. in
738 .) ac_abs_top_builddir=$ac_abs_builddir;;
739 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
740 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
741 esac;;
742 esac
743 case $ac_abs_builddir in
744 .) ac_abs_srcdir=$ac_srcdir;;
746 case $ac_srcdir in
747 .) ac_abs_srcdir=$ac_abs_builddir;;
748 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
749 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
750 esac;;
751 esac
752 case $ac_abs_builddir in
753 .) ac_abs_top_srcdir=$ac_top_srcdir;;
755 case $ac_top_srcdir in
756 .) ac_abs_top_srcdir=$ac_abs_builddir;;
757 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
758 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
759 esac;;
760 esac
763 case $INSTALL in
764 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
765 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
766 esac
768 # Let's still pretend it is `configure' which instantiates (i.e., don't
769 # use $as_me), people would be surprised to read:
770 # /* config.h. Generated by config.status. */
771 if test x"$ac_file" = x-; then
772 configure_input=
773 else
774 configure_input="$ac_file. "
776 configure_input=$configure_input"Generated from `echo $ac_file_in |
777 sed 's,.*/,,'` by configure."
779 # First look for the input files in the build tree, otherwise in the
780 # src tree.
781 ac_file_inputs=`IFS=:
782 for f in $ac_file_in; do
783 case $f in
784 -) echo $tmp/stdin ;;
785 [\\/$]*)
786 # Absolute (can't be DOS-style, as IFS=:)
787 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
788 echo "$as_me: error: cannot find input file: $f" >&2;}
789 { (exit 1); exit 1; }; }
790 echo "$f";;
791 *) # Relative
792 if test -f "$f"; then
793 # Build tree
794 echo "$f"
795 elif test -f "$srcdir/$f"; then
796 # Source tree
797 echo "$srcdir/$f"
798 else
799 # /dev/null tree
800 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
801 echo "$as_me: error: cannot find input file: $f" >&2;}
802 { (exit 1); exit 1; }; }
803 fi;;
804 esac
805 done` || { (exit 1); exit 1; }
807 if test x"$ac_file" != x-; then
808 { echo "$as_me:$LINENO: creating $ac_file" >&5
809 echo "$as_me: creating $ac_file" >&6;}
810 rm -f "$ac_file"
812 sed "/^[ ]*VPATH[ ]*=/{
813 s/:*\$(srcdir):*/:/;
814 s/:*\${srcdir}:*/:/;
815 s/:*@srcdir@:*/:/;
816 s/^\([^=]*=[ ]*\):*/\1/;
817 s/:*$//;
818 s/^[^=]*=[ ]*$//;
822 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
823 s,@configure_input@,$configure_input,;t t
824 s,@srcdir@,$ac_srcdir,;t t
825 s,@abs_srcdir@,$ac_abs_srcdir,;t t
826 s,@top_srcdir@,$ac_top_srcdir,;t t
827 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
828 s,@builddir@,$ac_builddir,;t t
829 s,@abs_builddir@,$ac_abs_builddir,;t t
830 s,@top_builddir@,$ac_top_builddir,;t t
831 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
832 s,@INSTALL@,$ac_INSTALL,;t t
833 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
834 rm -f $tmp/stdin
835 if test x"$ac_file" != x-; then
836 mv $tmp/out $ac_file
837 else
838 cat $tmp/out
839 rm -f $tmp/out
842 done
845 # CONFIG_HEADER section.
848 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
849 # NAME is the cpp macro being defined and VALUE is the value it is being given.
851 # ac_d sets the value in "#define NAME VALUE" lines.
852 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
853 ac_dB='[ ].*$,\1#\2'
854 ac_dC=' '
855 ac_dD=',;t'
856 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
857 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
858 ac_uB='$,\1#\2define\3'
859 ac_uC=' '
860 ac_uD=',;t'
862 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
863 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
864 case $ac_file in
865 - | *:- | *:-:* ) # input from stdin
866 cat >$tmp/stdin
867 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
868 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
869 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
870 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
871 * ) ac_file_in=$ac_file.in ;;
872 esac
874 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
875 echo "$as_me: creating $ac_file" >&6;}
877 # First look for the input files in the build tree, otherwise in the
878 # src tree.
879 ac_file_inputs=`IFS=:
880 for f in $ac_file_in; do
881 case $f in
882 -) echo $tmp/stdin ;;
883 [\\/$]*)
884 # Absolute (can't be DOS-style, as IFS=:)
885 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
886 echo "$as_me: error: cannot find input file: $f" >&2;}
887 { (exit 1); exit 1; }; }
888 # Do quote $f, to prevent DOS paths from being IFS'd.
889 echo "$f";;
890 *) # Relative
891 if test -f "$f"; then
892 # Build tree
893 echo "$f"
894 elif test -f "$srcdir/$f"; then
895 # Source tree
896 echo "$srcdir/$f"
897 else
898 # /dev/null tree
899 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
900 echo "$as_me: error: cannot find input file: $f" >&2;}
901 { (exit 1); exit 1; }; }
902 fi;;
903 esac
904 done` || { (exit 1); exit 1; }
905 # Remove the trailing spaces.
906 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
908 # Handle all the #define templates only if necessary.
909 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
910 # If there are no defines, we may have an empty if/fi
912 cat >$tmp/defines.sed <<CEOF
913 /^[ ]*#[ ]*define/!b
914 t clr
915 : clr
916 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"libtheora"${ac_dD}
917 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"libtheora"${ac_dD}
918 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"1.0alpha6"${ac_dD}
919 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"libtheora 1.0alpha6"${ac_dD}
920 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
921 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"libtheora"${ac_dD}
922 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"1.0alpha6"${ac_dD}
923 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
924 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
925 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
926 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
927 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
928 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
929 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
930 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
931 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
932 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
933 ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
934 ${ac_dA}HAVE_SYS_SOUNDCARD_H${ac_dB}HAVE_SYS_SOUNDCARD_H${ac_dC}1${ac_dD}
935 CEOF
936 sed -f $tmp/defines.sed $tmp/in >$tmp/out
937 rm -f $tmp/in
938 mv $tmp/out $tmp/in
940 fi # grep
942 # Handle all the #undef templates
943 cat >$tmp/undefs.sed <<CEOF
944 /^[ ]*#[ ]*undef/!b
945 t clr
946 : clr
947 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"libtheora"${ac_uD}
948 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"libtheora"${ac_uD}
949 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"1.0alpha6"${ac_uD}
950 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"libtheora 1.0alpha6"${ac_uD}
951 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
952 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"libtheora"${ac_uD}
953 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"1.0alpha6"${ac_uD}
954 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
955 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
956 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
957 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
958 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
959 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
960 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
961 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
962 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
963 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
964 ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
965 ${ac_uA}HAVE_SYS_SOUNDCARD_H${ac_uB}HAVE_SYS_SOUNDCARD_H${ac_uC}1${ac_uD}
966 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
967 CEOF
968 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
969 rm -f $tmp/in
970 mv $tmp/out $tmp/in
972 # Let's still pretend it is `configure' which instantiates (i.e., don't
973 # use $as_me), people would be surprised to read:
974 # /* config.h. Generated by config.status. */
975 if test x"$ac_file" = x-; then
976 echo "/* Generated by configure. */" >$tmp/config.h
977 else
978 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
980 cat $tmp/in >>$tmp/config.h
981 rm -f $tmp/in
982 if test x"$ac_file" != x-; then
983 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
984 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
985 echo "$as_me: $ac_file is unchanged" >&6;}
986 else
987 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
988 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
989 X"$ac_file" : 'X\(//\)[^/]' \| \
990 X"$ac_file" : 'X\(//\)$' \| \
991 X"$ac_file" : 'X\(/\)' \| \
992 . : '\(.\)' 2>/dev/null ||
993 echo X"$ac_file" |
994 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
995 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
996 /^X\(\/\/\)$/{ s//\1/; q; }
997 /^X\(\/\).*/{ s//\1/; q; }
998 s/.*/./; q'`
999 { if $as_mkdir_p; then
1000 mkdir -p "$ac_dir"
1001 else
1002 as_dir="$ac_dir"
1003 as_dirs=
1004 while test ! -d "$as_dir"; do
1005 as_dirs="$as_dir $as_dirs"
1006 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1007 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1008 X"$as_dir" : 'X\(//\)[^/]' \| \
1009 X"$as_dir" : 'X\(//\)$' \| \
1010 X"$as_dir" : 'X\(/\)' \| \
1011 . : '\(.\)' 2>/dev/null ||
1012 echo X"$as_dir" |
1013 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1014 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1015 /^X\(\/\/\)$/{ s//\1/; q; }
1016 /^X\(\/\).*/{ s//\1/; q; }
1017 s/.*/./; q'`
1018 done
1019 test ! -n "$as_dirs" || mkdir $as_dirs
1020 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1021 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1022 { (exit 1); exit 1; }; }; }
1024 rm -f $ac_file
1025 mv $tmp/config.h $ac_file
1027 else
1028 cat $tmp/config.h
1029 rm -f $tmp/config.h
1031 # Compute $ac_file's index in $config_headers.
1032 _am_stamp_count=1
1033 for _am_header in $config_headers :; do
1034 case $_am_header in
1035 $ac_file | $ac_file:* )
1036 break ;;
1038 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1039 esac
1040 done
1041 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1042 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1043 X$ac_file : 'X\(//\)[^/]' \| \
1044 X$ac_file : 'X\(//\)$' \| \
1045 X$ac_file : 'X\(/\)' \| \
1046 . : '\(.\)' 2>/dev/null ||
1047 echo X$ac_file |
1048 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1049 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1050 /^X\(\/\/\)$/{ s//\1/; q; }
1051 /^X\(\/\).*/{ s//\1/; q; }
1052 s/.*/./; q'`/stamp-h$_am_stamp_count
1053 done
1056 # CONFIG_COMMANDS section.
1058 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1059 ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1060 ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1061 ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1062 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1063 X"$ac_dest" : 'X\(//\)[^/]' \| \
1064 X"$ac_dest" : 'X\(//\)$' \| \
1065 X"$ac_dest" : 'X\(/\)' \| \
1066 . : '\(.\)' 2>/dev/null ||
1067 echo X"$ac_dest" |
1068 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1069 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1070 /^X\(\/\/\)$/{ s//\1/; q; }
1071 /^X\(\/\).*/{ s//\1/; q; }
1072 s/.*/./; q'`
1073 { if $as_mkdir_p; then
1074 mkdir -p "$ac_dir"
1075 else
1076 as_dir="$ac_dir"
1077 as_dirs=
1078 while test ! -d "$as_dir"; do
1079 as_dirs="$as_dir $as_dirs"
1080 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1081 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1082 X"$as_dir" : 'X\(//\)[^/]' \| \
1083 X"$as_dir" : 'X\(//\)$' \| \
1084 X"$as_dir" : 'X\(/\)' \| \
1085 . : '\(.\)' 2>/dev/null ||
1086 echo X"$as_dir" |
1087 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1088 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1089 /^X\(\/\/\)$/{ s//\1/; q; }
1090 /^X\(\/\).*/{ s//\1/; q; }
1091 s/.*/./; q'`
1092 done
1093 test ! -n "$as_dirs" || mkdir $as_dirs
1094 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1095 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1096 { (exit 1); exit 1; }; }; }
1098 ac_builddir=.
1100 if test "$ac_dir" != .; then
1101 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1102 # A "../" for each directory in $ac_dir_suffix.
1103 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1104 else
1105 ac_dir_suffix= ac_top_builddir=
1108 case $srcdir in
1109 .) # No --srcdir option. We are building in place.
1110 ac_srcdir=.
1111 if test -z "$ac_top_builddir"; then
1112 ac_top_srcdir=.
1113 else
1114 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1115 fi ;;
1116 [\\/]* | ?:[\\/]* ) # Absolute path.
1117 ac_srcdir=$srcdir$ac_dir_suffix;
1118 ac_top_srcdir=$srcdir ;;
1119 *) # Relative path.
1120 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1121 ac_top_srcdir=$ac_top_builddir$srcdir ;;
1122 esac
1124 # Do not use `cd foo && pwd` to compute absolute paths, because
1125 # the directories may not exist.
1126 case `pwd` in
1127 .) ac_abs_builddir="$ac_dir";;
1129 case "$ac_dir" in
1130 .) ac_abs_builddir=`pwd`;;
1131 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1132 *) ac_abs_builddir=`pwd`/"$ac_dir";;
1133 esac;;
1134 esac
1135 case $ac_abs_builddir in
1136 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1138 case ${ac_top_builddir}. in
1139 .) ac_abs_top_builddir=$ac_abs_builddir;;
1140 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1141 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1142 esac;;
1143 esac
1144 case $ac_abs_builddir in
1145 .) ac_abs_srcdir=$ac_srcdir;;
1147 case $ac_srcdir in
1148 .) ac_abs_srcdir=$ac_abs_builddir;;
1149 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1150 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1151 esac;;
1152 esac
1153 case $ac_abs_builddir in
1154 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1156 case $ac_top_srcdir in
1157 .) ac_abs_top_srcdir=$ac_abs_builddir;;
1158 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1159 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1160 esac;;
1161 esac
1164 { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1165 echo "$as_me: executing $ac_dest commands" >&6;}
1166 case $ac_dest in
1167 depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1168 # Strip MF so we end up with the name of the file.
1169 mf=`echo "$mf" | sed -e 's/:.*$//'`
1170 # Check whether this is an Automake generated Makefile or not.
1171 # We used to match only the files named `Makefile.in', but
1172 # some people rename them; so instead we look at the file content.
1173 # Grep'ing the first line is not enough: some people post-process
1174 # each Makefile.in and add a new line on top of each file to say so.
1175 # So let's grep whole file.
1176 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1177 dirpart=`(dirname "$mf") 2>/dev/null ||
1178 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1179 X"$mf" : 'X\(//\)[^/]' \| \
1180 X"$mf" : 'X\(//\)$' \| \
1181 X"$mf" : 'X\(/\)' \| \
1182 . : '\(.\)' 2>/dev/null ||
1183 echo X"$mf" |
1184 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1185 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1186 /^X\(\/\/\)$/{ s//\1/; q; }
1187 /^X\(\/\).*/{ s//\1/; q; }
1188 s/.*/./; q'`
1189 else
1190 continue
1192 # Extract the definition of DEPDIR, am__include, and am__quote
1193 # from the Makefile without running `make'.
1194 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1195 test -z "$DEPDIR" && continue
1196 am__include=`sed -n 's/^am__include = //p' < "$mf"`
1197 test -z "am__include" && continue
1198 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1199 # When using ansi2knr, U may be empty or an underscore; expand it
1200 U=`sed -n 's/^U = //p' < "$mf"`
1201 # Find all dependency output files, they are included files with
1202 # $(DEPDIR) in their names. We invoke sed twice because it is the
1203 # simplest approach to changing $(DEPDIR) to its actual value in the
1204 # expansion.
1205 for file in `sed -n "
1206 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1207 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1208 # Make sure the directory exists.
1209 test -f "$dirpart/$file" && continue
1210 fdir=`(dirname "$file") 2>/dev/null ||
1211 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1212 X"$file" : 'X\(//\)[^/]' \| \
1213 X"$file" : 'X\(//\)$' \| \
1214 X"$file" : 'X\(/\)' \| \
1215 . : '\(.\)' 2>/dev/null ||
1216 echo X"$file" |
1217 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1218 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1219 /^X\(\/\/\)$/{ s//\1/; q; }
1220 /^X\(\/\).*/{ s//\1/; q; }
1221 s/.*/./; q'`
1222 { if $as_mkdir_p; then
1223 mkdir -p $dirpart/$fdir
1224 else
1225 as_dir=$dirpart/$fdir
1226 as_dirs=
1227 while test ! -d "$as_dir"; do
1228 as_dirs="$as_dir $as_dirs"
1229 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1230 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1231 X"$as_dir" : 'X\(//\)[^/]' \| \
1232 X"$as_dir" : 'X\(//\)$' \| \
1233 X"$as_dir" : 'X\(/\)' \| \
1234 . : '\(.\)' 2>/dev/null ||
1235 echo X"$as_dir" |
1236 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1237 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1238 /^X\(\/\/\)$/{ s//\1/; q; }
1239 /^X\(\/\).*/{ s//\1/; q; }
1240 s/.*/./; q'`
1241 done
1242 test ! -n "$as_dirs" || mkdir $as_dirs
1243 fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1244 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1245 { (exit 1); exit 1; }; }; }
1247 # echo "creating $dirpart/$file"
1248 echo '# dummy' > "$dirpart/$file"
1249 done
1250 done
1252 esac
1253 done
1255 { (exit 0); exit 0; }